import { CallHandler, ExecutionContext, NestInterceptor } from '@nestjs/common';
import { AssetMediaService } from "../services/asset-media.service";
export declare class AssetUploadInterceptor implements NestInterceptor {
    private service;
    constructor(service: AssetMediaService);
    intercept(context: ExecutionContext, next: CallHandler<any>): Promise<import("rxjs").Observable<any>>;
}
